<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Полезные куски кодов - Добавить код');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Полезные куски кодов </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/codes" rel="v:url" property="v:title">Полезные коды</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Добавить код</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

if ($b == false){
header('location:/');
die();
}
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM codes_cat WHERE id = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
echo '<div class="catSides"><a href="/codes"><i class="md-format-list-bulleted"></i> Категории</a> - <a href="codlist.html?id='.$id.'">'.$arr['name'].'</a> - Добавить код</div>';
if (isset($_POST['add'])) {
if (empty($_POST['name']) OR empty($_POST['text'])) {
err('Введите название и содержание!');
} elseif (!preg_match('/[А-яA-z0-9]/i', $_POST['name'])) {
err('Заполните название!');
} else {
DB::$dbs->query("INSERT INTO codes_code SET name = ?, text = ?, code = ?, cid = ?, user_id = ?, time= ?", [check($_POST['name']),check($_POST['text']),check($_POST['code']),$id,$b['id'],time()]);
$last = DB::$dbs->lastInsertId();
header('location: code.php?id='.$last);
}
}
echo '<div class="row text_box"><form action="?id='.$id.'" method="POST">
Название кода: <br/> <input type="text" name="name" class="form-control" placeholder="Название (100)"><br>
Содержание: <br/> <textarea name="text" class="form-control" rows="3" placeholder="Описание"></textarea><br>
Код:<br/> <textarea name="code" class="form-control" rows="3" placeholder="Код"></textarea><br>
<input type="submit" name="add" class="btn btn-primary" value="Добавить"/></form></div>';

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>